/**
 * http://kopatheme.com
 * Copyright (c) 2014 Kopatheme
 *
 * Licensed under the GPL license:
 *  http://www.gnu.org/licenses/gpl.html
  **/

/**
 *   1- Main menu
 *   2- Mobile menu
 *   3- Breadking News
 *   4- Owl Carousel
 *   5- Search box
 *   6- FlexSlider
 *   7- BXSlider
 *   8- Video wrapper
 *   9- Accordion
 *   10- Toggle Boxes
 *   11- Create footer mobile menu
 *   12- Masonry
 *   13- Validate form 
 *   14- Google Map
 
 *-----------------------------------------------------------------
 **/
 
"use strict";
var kopa_variable = {
    "contact": {
        "address": "Lorem ipsum dolor sit amet, consectetur adipiscing elit",
        "marker": "/url image"
    },
    "i18n": {
        "VIEW": "View",
        "VIEWS": "Views",
        "validate": {
            "form": {
                "SUBMIT": "Submit",
                "SENDING": "Sending..."
            },
            "name": {
                "REQUIRED": "Please enter your name",
                "MINLENGTH": "At least {0} characters required"
            },
            "email": {
                "REQUIRED": "Please enter your email",
                "EMAIL": "Please enter a valid email"
            },
            "url": {
                "REQUIRED": "Please enter your url",
                "URL": "Please enter a valid url"
            },
            "message": {
                "REQUIRED": "Please enter a message",
                "MINLENGTH": "At least {0} characters required"
            }
        }
    }
};
var map;

/* =========================================================
1. Main Menu
============================================================ */

Modernizr.load([
  {
    load: '/Template/9C18A115/js/superfish.js',
    complete: function () {

        //Top menu
        jQuery('#top-menu').superfish({
            delay: 100,
            speed: 'fast',
            cssArrows: false
        });

        jQuery("#top-menu > li").each(function() {
            if(jQuery(this).has("ul").length > 0) {
                jQuery(this).addClass('has-child');
            }
        });

        //Main menu
        jQuery('#main-menu').superfish({
            delay: 100,
            speed: 'fast',
            cssArrows: true
        });

    }
  }
]);


/* =========================================================
2. Mobile Menu
============================================================ */
Modernizr.load([
  {
    load: '/Template/9C18A115/js/jquery.navgoco.js',
    complete: function () {

        jQuery('#mobile-menu').navgoco({accordion: true});
        jQuery( "#main-nav i" ).click(function(){
            jQuery( "#mobile-menu" ).slideToggle( "slow" );
        });

        jQuery('.kopa-tabs-2 li a').click(function (e) {
          e.preventDefault()
          jQuery(this).tab('show')
        })
    }
  }
]);

/* =========================================================
3. Breadking News
============================================================ */

if (jQuery('.ticker-1').length > 0) {
    Modernizr.load([{
        load: '/Template/9C18A115/js/jquery.carouFredSel-6.2.1-packed.js',
        complete: function () {
            var _scroll = {
                delay: 1000,
                easing: 'linear',
                items: 1,
                duration: 0.07,
                timeoutDuration: 0,
                pauseOnHover: 'immediate'
            };
            jQuery('.ticker-1').carouFredSel({
                width: 800,
                align: false,
                items: {
                    width: 'variable',
                    height: 40,
                    visible: 1
                },
                scroll: _scroll
            });
        }
    }]);
}


/* =========================================================
4. Owl Carousel
============================================================ */
if (jQuery('.kopa-home-slider-1').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/owl.carousel.min.js',
        complete: function () {
            jQuery('.kopa-home-slider-1').owlCarousel({
                items : 1,
                itemsDesktop : [1024,1],
                itemsDesktopSmall : [979,1],
                itemsTablet : [799,1],
                lazyLoad : true,
                navigation : true,
                pagination: false,
                navigationText : false
            });
        }
      }
    ]);
};

if (jQuery('.kopa-author-carousel').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/owl.carousel.min.js',
        complete: function () {
            jQuery('.kopa-author-carousel').owlCarousel({
                items : 5,
                itemsDesktop : [979,5],
                itemsDesktopSmall : [767,5],
                itemsTablet : [639,5],
                itemsMobile : [479,5],
                lazyLoad : true,
                navigation : true,
                pagination: false,
                navigationText : false
            });
        }
      }
    ]);
};





/* =========================================================
5. Search box
============================================================ */
if ($('#sb-search').length > 0) {
    Modernizr.load([{
        load: ['/Template/9C18A115/js/uisearch.js', '/Template/9C18A115/js/classie.js'],
        complete: function() {
            new UISearch(document.getElementById('sb-search'));
        }
    }]);
};


/* =========================================================
6. Flex slider
============================================================ */
if (jQuery('.kopa-flex-1-widget').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/jquery.flexslider-min.js',
        complete: function () {
            jQuery('.kopa-flex-carousel-1').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: false,
                animationLoop: false,
                slideshow: false,
                itemWidth: 90,
                itemMargin: 0,
                asNavFor: '.kopa-flexslider-1'
            });

            jQuery('.kopa-flexslider-1').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: true,
                animationLoop: false,
                slideshow: false,
                prevText: "",
                nextText: "",
                sync: ".kopa-flex-carousel-1",
                start: function(slider){
                  jQuery('body').removeClass('loading');
                }
            });
        }
      }
    ]);
};


if (jQuery('.kopa-flex-2-widget').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/jquery.flexslider-min.js',
        complete: function () {
            jQuery('.kopa-flex-carousel-2').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: false,
                animationLoop: false,
                slideshow: false,
                itemWidth: 90,
                itemMargin: 0,
                asNavFor: '.kopa-flexslider-2'
            });

            jQuery('.kopa-flexslider-2').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: true,
                animationLoop: false,
                slideshow: false,
                prevText: "",
                nextText: "",
                sync: ".kopa-flex-carousel-2",
                start: function(slider){
                  jQuery('body').removeClass('loading');
                }
            });
        }
      }
    ]);
};


if (jQuery('.kopa-flex-3-widget').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/jquery.flexslider-min.js',
        complete: function () {
            jQuery('.kopa-flex-carousel-3').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: false,
                animationLoop: false,
                slideshow: false,
                itemWidth: 160,
                itemMargin: 10,
                asNavFor: '.kopa-flexslider-3'
            });

            jQuery('.kopa-flexslider-3').flexslider({
                animation: "slide",
                controlNav: false,
                directionNav: true,
                animationLoop: false,
                slideshow: false,
                prevText: "",
                nextText: "",
                sync: ".kopa-flex-carousel-3",
                start: function(slider){
                  jQuery('body').removeClass('loading');
                }
            });
        }
      }
    ]);
};


/* =========================================================
7. Bx slider
============================================================ */
if (jQuery('.kopa-bxslider').length > 0) {

    Modernizr.load([
      {
        load: '/Template/9C18A115/js/jquery.bxslider.min.js',
        complete: function () {
            jQuery('.kopa-bxslider').bxSlider({
                mode: 'vertical',
                pager: false,
                prevText: '',
                nextText: '',
                minSlides: 4,
                slideMargin: 1
            });
        }
      }
    ]);
};




/* =========================================================
8. Video wrapper
============================================================ */
if (jQuery(".video-wrapper").length > 0) {
	Modernizr.load([{
		load: '/Template/9C18A115/js/fitvids.js',
		complete: function () {
			jQuery(".video-wrapper").fitVids();
		}
	}]);
};



jQuery(document).ready(function() {
	
	/* =========================================================
	9. Accordion
	========================================================= */
	
    var acc_wrapper=jQuery('.acc-wrapper');
    if (acc_wrapper.length >0) 
    {
        
        jQuery('.acc-wrapper .accordion-container').hide();
        jQuery.each(acc_wrapper, function(index, item){
            jQuery(this).find(jQuery('.accordion-title')).first().addClass('active').next().show();
            
        });
        
        jQuery('.accordion-title').on('click', function(e) {
            kopa_accordion_click(jQuery(this));
            e.preventDefault();
        });
        
        var titles = jQuery('.accordion-title');
        
        jQuery.each(titles,function(){
            kopa_accordion_click(jQuery(this));
        });
    }  

	/* =========================================================
	10. Toggle Boxes
	============================================================ */
	jQuery('.toggle-view li').click(function (event) {
        var text = jQuery(this).children('.kopa-panel');
        var icon = jQuery(this).children('span');

        if (text.is(':hidden')) {
            jQuery(this).addClass('active');
            text.slideDown('300');
            kopa_toggle_click(icon, 'fa-plus', 'fa-minus');
        } else {
            jQuery(this).removeClass('active');
            text.slideUp('300');
            kopa_toggle_click(icon, 'fa-minus', 'fa-plus');
        }
    });
	
	
	/* =========================================================
	11. Create footer mobile menu
	============================================================ */
	jQuery(document).ready(function(){
		if(jQuery('#bottom-nav').length > 0){
			createMobileMenu('#bottom-nav','bottom-responsive-menu');
		}
	});

});

function kopa_accordion_click (obj) {
    if( obj.next().is(':hidden') ) {
        obj.parent().find(jQuery('.active')).removeClass('active').next().slideUp(300);
        obj.toggleClass('active').next().slideDown(300);
                            
    }
jQuery('.accordion-title span').removeClass('fa-minus').addClass('fa-plus');
    if (obj.hasClass('active')) {
        obj.find('span').removeClass('fa-plus');
        obj.find('span').addClass('fa-minus');              
    } 
}

function kopa_toggle_click(obj, remove_class, new_class) {
    obj.removeClass(remove_class);
    obj.addClass(new_class);
}

function createMobileMenu(menu_id, mobile_menu_id){
    // Create the dropdown base
    jQuery("<select />").appendTo(menu_id);
    jQuery(menu_id).find('select').first().attr("id",mobile_menu_id);

    // Populate dropdown with menu items
    jQuery(menu_id).find('a').each(function() {
        var el = jQuery(this);

        var selected = '';
        if (el.parent().hasClass('current-menu-item') == true){
            selected = "selected='selected'";
        }

        var depth = el.parents("ul").size();
        var space = '';
        if(depth > 1){
            for(i=1; i<depth; i++){
                space += '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
            }
        }

        jQuery("<option "+selected+" value='"+el.attr("href")+"'>"+space+el.text()+"</option>").appendTo(jQuery(menu_id).find('select').first());
    });
    jQuery(menu_id).find('select').first().change(function() {
        window.location = jQuery(this).find("option:selected").val();
    });
}



/* =========================================================
12. Masonry
============================================================ */
Modernizr.load([{
    load: ['/Template/9C18A115/js/masonry.pkgd.js', '/Template/9C18A115/js/imagesloaded.js'],
    complete: function () {
        var $masonry1 = jQuery('.kopa-masonry-list-1-widget .masonry-list-wrapper > ul');
        imagesLoaded($masonry1, function () {
            $masonry1.masonry({
                columnWidth: 1,
                itemSelector: '.masonry-item'
            });
            $masonry1.masonry('bindResize')
        });
    }
}]);


if ($('.masonry-container').length > 0) {
    Modernizr.load([{
        load: ['/Template/9C18A115/js/imagesloaded.js','/Template/9C18A115/js/wookmark.js'],
        complete: function() {
            $('.masonry-container .container-masonry').imagesLoaded(function() {
                // Prepare layout options.
                var options = {
                    autoResize: true, // This will auto-update the layout when the browser window is resized.
                    container: $('.masonry-container .container-masonry'), // Optional, used for some extra CSS styling
                    offset: -1, // Optional, the distance between grid items
                    fillEmptySpace: true // Optional, fill the bottom of each column with widths of flexible height
                };
                // Get a reference to your grid items.
                var handler = $('.masonry-container .item'),
                    filters = $('.filters li');
                // Call the layout function.
                handler.wookmark(options);
                /**
                 * When a filter is clicked, toggle it's active state and refresh.
                 */
                var onClickFilter = function(event) {
                    var item = $(event.currentTarget),
                        activeFilters = [];
                    if (!item.hasClass('active')) {
                        filters.removeClass('active');
                    }
                    item.toggleClass('active');
                    // Filter by the currently selected filter
                    if (item.hasClass('active')) {
                        activeFilters.push(item.data('filter'));
                    }
                    handler.wookmarkInstance.filter(activeFilters);
                }
                // Capture filter click events.
                filters.click(onClickFilter);
            });
        }
    }]);
};


$( window ).resize(function(){
    if ($('.masonry-container').length > 0) {                      
        $('.masonry-container .item').wookmark();        
    };
});



/* =========================================================
13. Validate form
============================================================ */

if (jQuery('.comments-form,.contact-form').length > 0) {
    Modernizr.load([{
        load: ['/Template/9C18A115/js/jquery.form.js', '/Template/9C18A115/js/jquery.validate.js'],
        complete: function () {
            jQuery('.comments-form,.contact-form').validate({
                // Add requirements to each of the fields
                rules: {
                    name: {
                        required: true,
                        minlength: 10
                    },
                    email: {
                        required: true,
                        email: true
                    },
                    message: {
                        required: true,
                        minlength: 20
                    }
                },
                // Specify what error messages to display
                // when the user does something horrid
                messages: {
                    name: {
                        required: kopa_variable.i18n.validate.name.REQUIRED,
                        minlength: jQuery.format(kopa_variable.i18n.validate.name.MINLENGTH)
                    },
                    email: {
                        required: kopa_variable.i18n.validate.email.REQUIRED,
                        email: kopa_variable.i18n.validate.email.EMAIL
                    },
                    message: {
                        required: kopa_variable.i18n.validate.message.REQUIRED,
                        minlength: jQuery.format(kopa_variable.i18n.validate.message.MINLENGTH)
                    }
                },
                // Use Ajax to send everything to processForm.php
                submitHandler: function (form) {
                    jQuery(".comments-form .input-submit,.contact-form .input-submit").attr("value", kopa_variable.i18n.validate.form.SENDING);
                    jQuery(form).ajaxSubmit({
                        success: function (responseText, statusText, xhr, $form) {
                            jQuery("#response").html(responseText).hide().slideDown("fast");
                            jQuery(".comments-form .input-submit,.contact-form .input-submit").attr("value", kopa_variable.i18n.validate.form.SUBMIT);
                        }
                    });
                    return false;
                }
            });
        }
    }]);
}



/* =========================================================
14. Google Map
============================================================ */
var map;

if (jQuery('.kp-map').length > 0) {
      var id_map = jQuery('.kp-map').attr('id');
      var lat = parseFloat(jQuery('.kp-map').attr('data-latitude'));
      var lng = parseFloat(jQuery('.kp-map').attr('data-longitude'));
      var place = jQuery('.kp-map').attr('data-place');

  map = new GMaps({
      el: '#'+id_map,
      lat: lat,
      lng: lng,
      zoomControl : true,
      zoomControlOpt: {
          style : 'SMALL',
          position: 'TOP_LEFT'
      },
      panControl : false,
      streetViewControl : false,
      mapTypeControl: false,
      overviewMapControl: false
    });
    map.addMarker({
      lat: lat,
        lng: lng,
      title: place
    });
};


/* =========================================================
15. Sticky menu
============================================================ */ 

Modernizr.load([{
	load: ['/Template/9C18A115/js/waypoints.js', '/Template/9C18A115/js/waypoints-sticky.js'],
	complete: function () {
		jQuery('#kopa-header-bottom').waypoint('sticky');
	}
}]);

